Returns a copy of the current node as a DOM object

- « XMLReader::close

- XMLReader::fromStream »

- PHP Manual
- XMLReader
- Returns a copy of the current node as a DOM object

# XMLReader::expand

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

XMLReader::expand — Returns a copy of the current node as a DOM object

### Description

public XMLReader::expand(?DOMNode `$baseNode` = `null`): DOMNode|false

This method copies the current node and returns the appropriate DOM object.

### Parameters

`baseNode`

  A DOMNode defining the target DOMDocument for the created DOM object.

### Return Values

The resulting DOMNode or `false` on error.